GpgFrontend::UI::NetworkTab Class Reference
Inheritance diagram for GpgFrontend::UI::NetworkTab:
Collaboration diagram for GpgFrontend::UI::NetworkTab:

## Public Member Functions

| NetworkTab (QWidget *parent=nullptr)
| Construct a new Network Tab object. More...
void | SetSettings ()
| Set the Settings object. More...
void | ApplySettings ()

## Private Slots

void | slot_test_proxy_connection_result ()

## Private Member Functions

void | apply_proxy_settings ()
void | switch_ui_enabled (bool enabled)
void | switch_ui_proxy_type (const QString &type_text)

## Private Attributes

std::shared_ptr< Ui_NetworkSettings > | ui_
QNetworkProxy::ProxyType | proxy_type_ = QNetworkProxy::HttpProxy

## Constructor & Destructor Documentation

## NetworkTab()

GpgFrontend::UI::NetworkTab::NetworkTab | ( | QWidget * | parent = `nullptr` | ) |

explicit

Construct a new Network Tab object.

Parameters

  parent | Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

References SetSettings().

## Member Function Documentation

## SetSettings()

void GpgFrontend::UI::NetworkTab::SetSettings | ( |  | ) |

Set the Settings object.

References GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance(), and GpgFrontend::GlobalSettingStation::GetUISettings().

Referenced by NetworkTab().

## switch_ui_enabled()

void GpgFrontend::UI::NetworkTab::switch_ui_enabled | ( | bool | enabled | ) |

private

Parameters

  enabled |

## switch_ui_proxy_type()

void GpgFrontend::UI::NetworkTab::switch_ui_proxy_type | ( | const QString & | type_text | ) |

private

Parameters

  type_text |

The documentation for this class was generated from the following files:

- src/ui/dialog/settings/SettingsNetwork.h
- src/ui/dialog/settings/SettingsNetwork.cpp